Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideDataTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideDataTest.java	(revision 36193)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideDataTest.java	(revision 36194)
@@ -1,5 +1,4 @@
 // License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.streetside;
-
 
 import static org.junit.jupiter.api.Assertions.assertEquals;
@@ -13,5 +12,4 @@
 import org.junit.jupiter.api.Disabled;
 import org.junit.jupiter.api.Test;
-import org.junit.jupiter.api.condition.DisabledIf;
 import org.openstreetmap.josm.data.coor.LatLon;
 import org.openstreetmap.josm.testutils.annotations.Main;
@@ -26,132 +24,132 @@
 class StreetsideDataTest {
 
-  private StreetsideData data;
-  private StreetsideImage img1;
-  private StreetsideImage img2;
-  private StreetsideImage img3;
-  private StreetsideImage img4;
+    private StreetsideData data;
+    private StreetsideImage img1;
+    private StreetsideImage img2;
+    private StreetsideImage img3;
+    private StreetsideImage img4;
 
-  /**
-   * Creates a sample {@link StreetsideData} objects, 4 {@link StreetsideImage}
-   * objects and a {@link StreetsideSequence} object.
-   */
-  @BeforeEach
-  public void setUp() {
-    img1 = new StreetsideImage("id1__________________", new LatLon(0.1, 0.1), 90);
-    img2 = new StreetsideImage("id2__________________", new LatLon(0.2, 0.2), 90);
-    img3 = new StreetsideImage("id3__________________", new LatLon(0.3, 0.3), 90);
-    img4 = new StreetsideImage("id4__________________", new LatLon(0.4, 0.4), 90);
-    final StreetsideSequence seq = new StreetsideSequence();
+    /**
+     * Creates a sample {@link StreetsideData} objects, 4 {@link StreetsideImage}
+     * objects and a {@link StreetsideSequence} object.
+     */
+    @BeforeEach
+    public void setUp() {
+        img1 = new StreetsideImage("id1__________________", new LatLon(0.1, 0.1), 90);
+        img2 = new StreetsideImage("id2__________________", new LatLon(0.2, 0.2), 90);
+        img3 = new StreetsideImage("id3__________________", new LatLon(0.3, 0.3), 90);
+        img4 = new StreetsideImage("id4__________________", new LatLon(0.4, 0.4), 90);
+        final StreetsideSequence seq = new StreetsideSequence();
 
-    seq.add(Arrays.asList(img1, img2, img3, img4));
+        seq.add(Arrays.asList(img1, img2, img3, img4));
 
-    data = new StreetsideData();
-    data.addAll(new ConcurrentSkipListSet<>(seq.getImages()));
-  }
+        data = new StreetsideData();
+        data.addAll(new ConcurrentSkipListSet<>(seq.getImages()));
+    }
 
-  /**
-   * Tests the addition of new images. If a second image with the same key as
-   * another one in the database, the one that is being added should be ignored.
-   */
-  @Test
-  void testAdd() {
-    data = new StreetsideData();
-    assertEquals(0, data.getImages().size());
-    data.add(img1);
-    assertEquals(1, data.getImages().size());
-    data.add(img1);
-    assertEquals(1, data.getImages().size());
-    data.addAll(new ConcurrentSkipListSet<>(Arrays.asList(img2, img3)));
-    assertEquals(3, data.getImages().size());
-    data.addAll(new ConcurrentSkipListSet<>(Arrays.asList(img3, img4)));
-    assertEquals(4, data.getImages().size());
-  }
+    /**
+     * Tests the addition of new images. If a second image with the same key as
+     * another one in the database, the one that is being added should be ignored.
+     */
+    @Test
+    void testAdd() {
+        data = new StreetsideData();
+        assertEquals(0, data.getImages().size());
+        data.add(img1);
+        assertEquals(1, data.getImages().size());
+        data.add(img1);
+        assertEquals(1, data.getImages().size());
+        data.addAll(new ConcurrentSkipListSet<>(Arrays.asList(img2, img3)));
+        assertEquals(3, data.getImages().size());
+        data.addAll(new ConcurrentSkipListSet<>(Arrays.asList(img3, img4)));
+        assertEquals(4, data.getImages().size());
+    }
 
-  /**
-   * Test that the size is properly calculated.
-   */
-  @Test
-  void testSize() {
-    assertEquals(4, data.getImages().size());
-    data.add(new StreetsideImage("id5__________________", new LatLon(0.1, 0.1), 90));
-    assertEquals(5, data.getImages().size());
-  }
+    /**
+     * Test that the size is properly calculated.
+     */
+    @Test
+    void testSize() {
+        assertEquals(4, data.getImages().size());
+        data.add(new StreetsideImage("id5__________________", new LatLon(0.1, 0.1), 90));
+        assertEquals(5, data.getImages().size());
+    }
 
-  /**
-   * Test the {@link StreetsideData#setHighlightedImage(StreetsideAbstractImage)}
-   * and {@link StreetsideData#getHighlightedImage()} methods.
-   */
-  @Test
-  void testHighlight() {
-    data.setHighlightedImage(img1);
-    assertEquals(img1, data.getHighlightedImage());
+    /**
+     * Test the {@link StreetsideData#setHighlightedImage(StreetsideAbstractImage)}
+     * and {@link StreetsideData#getHighlightedImage()} methods.
+     */
+    @Test
+    void testHighlight() {
+        data.setHighlightedImage(img1);
+        assertEquals(img1, data.getHighlightedImage());
 
-    data.setHighlightedImage(null);
-    assertNull(data.getHighlightedImage());
-  }
+        data.setHighlightedImage(null);
+        assertNull(data.getHighlightedImage());
+    }
 
-  /**
-   * Tests the selection of images.
-   */
-  @Disabled("The imgs have non-int identifiers while the code expects the identifiers to be int in string form")
-  @Test
-  void testSelect() {
-    data.setSelectedImage(img1);
-    assertEquals(img1, data.getSelectedImage());
+    /**
+     * Tests the selection of images.
+     */
+    @Disabled("The imgs have non-int identifiers while the code expects the identifiers to be int in string form")
+    @Test
+    void testSelect() {
+        data.setSelectedImage(img1);
+        assertEquals(img1, data.getSelectedImage());
 
-    data.setSelectedImage(img4);
-    assertEquals(img4, data.getSelectedImage());
+        data.setSelectedImage(img4);
+        assertEquals(img4, data.getSelectedImage());
 
-    data.setSelectedImage(null);
-    assertNull(data.getSelectedImage());
-  }
+        data.setSelectedImage(null);
+        assertNull(data.getSelectedImage());
+    }
 
-  /**
-   * Tests the {@link StreetsideData#selectNext()} and
-   * {@link StreetsideData#selectPrevious()} methods.
-   */
-  @Test
-  @Disabled("The imgs have non-int identifiers while the code expects the identifiers to be int in string form")
-  void testNextAndPrevious() {
-    data.setSelectedImage(img1);
+    /**
+     * Tests the {@link StreetsideData#selectNext()} and
+     * {@link StreetsideData#selectPrevious()} methods.
+     */
+    @Test
+    @Disabled("The imgs have non-int identifiers while the code expects the identifiers to be int in string form")
+    void testNextAndPrevious() {
+        data.setSelectedImage(img1);
 
-    data.selectNext();
-    assertEquals(img2, data.getSelectedImage());
-    data.selectNext();
-    assertEquals(img3, data.getSelectedImage());
-    data.selectPrevious();
-    assertEquals(img2, data.getSelectedImage());
+        data.selectNext();
+        assertEquals(img2, data.getSelectedImage());
+        data.selectNext();
+        assertEquals(img3, data.getSelectedImage());
+        data.selectPrevious();
+        assertEquals(img2, data.getSelectedImage());
 
-    data.setSelectedImage(null);
-  }
+        data.setSelectedImage(null);
+    }
 
-  @Disabled("Someone decided to not throw an IllegalStateException. No clue why.")
-  @Test
-  void testNextOfNullImg() {
-    data.setSelectedImage(null);
-    assertThrows(IllegalStateException.class, data::selectNext);
-  }
+    @Disabled("Someone decided to not throw an IllegalStateException. No clue why.")
+    @Test
+    void testNextOfNullImg() {
+        data.setSelectedImage(null);
+        assertThrows(IllegalStateException.class, data::selectNext);
+    }
 
-  @Disabled("Someone decided to not throw an IllegalStateException. No clue why.")
-  @Test
-  void testPreviousOfNullImg() {
-    data.setSelectedImage(null);
-    assertThrows(IllegalStateException.class, data::selectPrevious);
-  }
+    @Disabled("Someone decided to not throw an IllegalStateException. No clue why.")
+    @Test
+    void testPreviousOfNullImg() {
+        data.setSelectedImage(null);
+        assertThrows(IllegalStateException.class, data::selectPrevious);
+    }
 
-  /**
-   * Test the multiselection of images. When a new image is selected, the
-   * multiselected List should reset.
-   */
-  @Disabled("The imgs have non-int identifiers while the code expects the identifiers to be int in string form")
-  @Test
-  void testMultiSelect() {
-    assertEquals(0, data.getMultiSelectedImages().size());
-    data.setSelectedImage(img1);
-    assertEquals(1, data.getMultiSelectedImages().size());
-    data.addMultiSelectedImage(img2);
-    assertEquals(2, data.getMultiSelectedImages().size());
-    data.setSelectedImage(img1);
-    assertEquals(1, data.getMultiSelectedImages().size());
-  }
+    /**
+     * Test the multiselection of images. When a new image is selected, the
+     * multiselected List should reset.
+     */
+    @Disabled("The imgs have non-int identifiers while the code expects the identifiers to be int in string form")
+    @Test
+    void testMultiSelect() {
+        assertEquals(0, data.getMultiSelectedImages().size());
+        data.setSelectedImage(img1);
+        assertEquals(1, data.getMultiSelectedImages().size());
+        data.addMultiSelectedImage(img2);
+        assertEquals(2, data.getMultiSelectedImages().size());
+        data.setSelectedImage(img1);
+        assertEquals(1, data.getMultiSelectedImages().size());
+    }
 }
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideLayerTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideLayerTest.java	(revision 36193)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/StreetsideLayerTest.java	(revision 36194)
@@ -24,61 +24,62 @@
 @Projection
 class StreetsideLayerTest {
-  private static Layer getDummyLayer() {
-    return ImageryLayer.create(new ImageryInfo("dummy", "https://example.org"));
-  }
-
-  @Test
-  void testGetIcon() {
-    assertNotNull(StreetsideLayer.getInstance().getIcon());
-  }
-
-  @Test
-  void testIsMergable() {
-    assertFalse(StreetsideLayer.getInstance().isMergable(getDummyLayer()));
-  }
-
-  @Test
-  void testMergeFrom() {
-    StreetsideLayer layer = StreetsideLayer.getInstance();
-    Layer dummyLayer = getDummyLayer();
-    assertThrows(UnsupportedOperationException.class, () -> layer.mergeFrom(dummyLayer));
-  }
-
-  @Test
-  void testSetVisible() {
-    StreetsideLayer.getInstance().getData().add(new StreetsideImage(CubemapUtils.TEST_IMAGE_ID, new LatLon(0.0, 0.0), 0.0));
-    StreetsideLayer.getInstance().getData().add(new StreetsideImage(CubemapUtils.TEST_IMAGE_ID, new LatLon(0.0, 0.0), 0.0));
-    StreetsideImage invisibleImage = new StreetsideImage(CubemapUtils.TEST_IMAGE_ID, new LatLon(0.0, 0.0), 0.0);
-    invisibleImage.setVisible(false);
-    StreetsideLayer.getInstance().getData().add(invisibleImage);
-
-    StreetsideLayer.getInstance().setVisible(false);
-    for (StreetsideAbstractImage img : StreetsideLayer.getInstance().getData().getImages()) {
-      assertFalse(img.isVisible());
+    private static Layer getDummyLayer() {
+        return ImageryLayer.create(new ImageryInfo("dummy", "https://example.org"));
     }
 
+    @Test
+    void testGetIcon() {
+        assertNotNull(StreetsideLayer.getInstance().getIcon());
+    }
 
-    StreetsideLayer.getInstance().setVisible(true);
-    for (StreetsideAbstractImage img : StreetsideLayer.getInstance().getData().getImages()) {
-      assertTrue(img.isVisible());
+    @Test
+    void testIsMergable() {
+        assertFalse(StreetsideLayer.getInstance().isMergable(getDummyLayer()));
     }
-  }
 
-  @Test
-  void testGetInfoComponent() {
-    Object comp = StreetsideLayer.getInstance().getInfoComponent();
-    assertInstanceOf(String.class, comp);
-    assertTrue(((String) comp).length() >= 9);
-  }
+    @Test
+    void testMergeFrom() {
+        StreetsideLayer layer = StreetsideLayer.getInstance();
+        Layer dummyLayer = getDummyLayer();
+        assertThrows(UnsupportedOperationException.class, () -> layer.mergeFrom(dummyLayer));
+    }
 
-  @DisabledIf(value = "java.awt.GraphicsEnvironment#isHeadless", disabledReason = "Listener for destruction is only registered in non-headless environments")
-  @Test
-  void testClearInstance() {
-    StreetsideLayer.getInstance();
-    assertTrue(StreetsideLayer.hasInstance());
-    JOSMTestRules.cleanLayerEnvironment();
-    assertFalse(StreetsideLayer.hasInstance());
-    StreetsideLayer.getInstance();
-    assertTrue(StreetsideLayer.hasInstance());
-  }
+    @Test
+    void testSetVisible() {
+        StreetsideLayer.getInstance().getData()
+                .add(new StreetsideImage(CubemapUtils.TEST_IMAGE_ID, new LatLon(0.0, 0.0), 0.0));
+        StreetsideLayer.getInstance().getData()
+                .add(new StreetsideImage(CubemapUtils.TEST_IMAGE_ID, new LatLon(0.0, 0.0), 0.0));
+        StreetsideImage invisibleImage = new StreetsideImage(CubemapUtils.TEST_IMAGE_ID, new LatLon(0.0, 0.0), 0.0);
+        invisibleImage.setVisible(false);
+        StreetsideLayer.getInstance().getData().add(invisibleImage);
+
+        StreetsideLayer.getInstance().setVisible(false);
+        for (StreetsideAbstractImage img : StreetsideLayer.getInstance().getData().getImages()) {
+            assertFalse(img.isVisible());
+        }
+
+        StreetsideLayer.getInstance().setVisible(true);
+        for (StreetsideAbstractImage img : StreetsideLayer.getInstance().getData().getImages()) {
+            assertTrue(img.isVisible());
+        }
+    }
+
+    @Test
+    void testGetInfoComponent() {
+        Object comp = StreetsideLayer.getInstance().getInfoComponent();
+        assertInstanceOf(String.class, comp);
+        assertTrue(((String) comp).length() >= 9);
+    }
+
+    @DisabledIf(value = "java.awt.GraphicsEnvironment#isHeadless", disabledReason = "Listener for destruction is only registered in non-headless environments")
+    @Test
+    void testClearInstance() {
+        StreetsideLayer.getInstance();
+        assertTrue(StreetsideLayer.hasInstance());
+        JOSMTestRules.cleanLayerEnvironment();
+        assertFalse(StreetsideLayer.hasInstance());
+        StreetsideLayer.getInstance();
+        assertTrue(StreetsideLayer.hasInstance());
+    }
 }
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/cubemap/CubemapUtilsTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/cubemap/CubemapUtilsTest.java	(revision 36193)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/cubemap/CubemapUtilsTest.java	(revision 36194)
@@ -1,4 +1,4 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.streetside.cubemap;
-
 
 import static org.junit.jupiter.api.Assertions.assertEquals;
@@ -9,93 +9,93 @@
 class CubemapUtilsTest {
 
-  @Test
-  void testConvertDecimal2Quaternary() {
-   final long decimal0 = 680730040L;
-   final long decimal1 = 680931568L;
-   String res = CubemapUtils.convertDecimal2Quaternary(decimal0);
-   assertEquals("220210301312320", res);
-   res = CubemapUtils.convertDecimal2Quaternary(decimal1);
-   assertEquals("220211203003300", res);
-  }
+    @Test
+    void testConvertDecimal2Quaternary() {
+        final long decimal0 = 680730040L;
+        final long decimal1 = 680931568L;
+        String res = CubemapUtils.convertDecimal2Quaternary(decimal0);
+        assertEquals("220210301312320", res);
+        res = CubemapUtils.convertDecimal2Quaternary(decimal1);
+        assertEquals("220211203003300", res);
+    }
 
-  @Test
-  void testConvertQuaternary2Decimal() {
-    final String quadKey0 = "220210301312320";
-    final String quadKey1 = "220211203003300";
-    String res = CubemapUtils.convertQuaternary2Decimal(quadKey0);
-    assertEquals("680730040", res);
-    res = CubemapUtils.convertQuaternary2Decimal(quadKey1);
-    assertEquals("680931568", res);
-  }
+    @Test
+    void testConvertQuaternary2Decimal() {
+        final String quadKey0 = "220210301312320";
+        final String quadKey1 = "220211203003300";
+        String res = CubemapUtils.convertQuaternary2Decimal(quadKey0);
+        assertEquals("680730040", res);
+        res = CubemapUtils.convertQuaternary2Decimal(quadKey1);
+        assertEquals("680931568", res);
+    }
 
-  @Disabled
-  @Test
-  void testGetFaceNumberForCount() {
-    String faceNrFront = CubemapUtils.getFaceNumberForCount(0);
-    String faceNrRight = CubemapUtils.getFaceNumberForCount(1);
-    String faceNrBack = CubemapUtils.getFaceNumberForCount(2);
-    String faceNrLeft = CubemapUtils.getFaceNumberForCount(3);
-    String faceNrUp = CubemapUtils.getFaceNumberForCount(4);
-    String faceNrDown = CubemapUtils.getFaceNumberForCount(5);
-    assertEquals(faceNrFront, "01");
-    assertEquals(faceNrRight, "02");
-    assertEquals(faceNrBack, "03");
-    assertEquals(faceNrLeft, "10");
-    assertEquals(faceNrUp, "11");
-    assertEquals(faceNrDown, "12");
-  }
+    @Disabled
+    @Test
+    void testGetFaceNumberForCount() {
+        String faceNrFront = CubemapUtils.getFaceNumberForCount(0);
+        String faceNrRight = CubemapUtils.getFaceNumberForCount(1);
+        String faceNrBack = CubemapUtils.getFaceNumberForCount(2);
+        String faceNrLeft = CubemapUtils.getFaceNumberForCount(3);
+        String faceNrUp = CubemapUtils.getFaceNumberForCount(4);
+        String faceNrDown = CubemapUtils.getFaceNumberForCount(5);
+        assertEquals(faceNrFront, "01");
+        assertEquals(faceNrRight, "02");
+        assertEquals(faceNrBack, "03");
+        assertEquals(faceNrLeft, "10");
+        assertEquals(faceNrUp, "11");
+        assertEquals(faceNrDown, "12");
+    }
 
-  @Disabled
-  @Test
-  void testGetCount4FaceNumber() {
-    int count4Front = CubemapUtils.getCount4FaceNumber("01");
-    int count4Right = CubemapUtils.getCount4FaceNumber("02");
-    int count4Back = CubemapUtils.getCount4FaceNumber("03");
-    int count4Left = CubemapUtils.getCount4FaceNumber("10");
-    int count4Up = CubemapUtils.getCount4FaceNumber("11");
-    int count4Down = CubemapUtils.getCount4FaceNumber("12");
-    assertEquals(count4Front, 0);
-    assertEquals(count4Right, 1);
-    assertEquals(count4Back, 2);
-    assertEquals(count4Left, 3);
-    assertEquals(count4Up, 4);
-    assertEquals(count4Down, 5);
-  }
+    @Disabled
+    @Test
+    void testGetCount4FaceNumber() {
+        int count4Front = CubemapUtils.getCount4FaceNumber("01");
+        int count4Right = CubemapUtils.getCount4FaceNumber("02");
+        int count4Back = CubemapUtils.getCount4FaceNumber("03");
+        int count4Left = CubemapUtils.getCount4FaceNumber("10");
+        int count4Up = CubemapUtils.getCount4FaceNumber("11");
+        int count4Down = CubemapUtils.getCount4FaceNumber("12");
+        assertEquals(count4Front, 0);
+        assertEquals(count4Right, 1);
+        assertEquals(count4Back, 2);
+        assertEquals(count4Left, 3);
+        assertEquals(count4Up, 4);
+        assertEquals(count4Down, 5);
+    }
 
-  @Test
-  void testConvertDoubleCountNrto16TileNr() {
-    String x0y0 = CubemapUtils.convertDoubleCountNrto16TileNr("00");
-    String x0y1 = CubemapUtils.convertDoubleCountNrto16TileNr("01");
-    String x0y2 = CubemapUtils.convertDoubleCountNrto16TileNr("02");
-    String x0y3 = CubemapUtils.convertDoubleCountNrto16TileNr("03");
-    String x1y0 = CubemapUtils.convertDoubleCountNrto16TileNr("10");
-    String x1y1 = CubemapUtils.convertDoubleCountNrto16TileNr("11");
-    String x1y2 = CubemapUtils.convertDoubleCountNrto16TileNr("12");
-    String x1y3 = CubemapUtils.convertDoubleCountNrto16TileNr("13");
-    String x2y0 = CubemapUtils.convertDoubleCountNrto16TileNr("20");
-    String x2y1 = CubemapUtils.convertDoubleCountNrto16TileNr("21");
-    String x2y2 = CubemapUtils.convertDoubleCountNrto16TileNr("22");
-    String x2y3 = CubemapUtils.convertDoubleCountNrto16TileNr("23");
-    String x3y0 = CubemapUtils.convertDoubleCountNrto16TileNr("30");
-    String x3y1 = CubemapUtils.convertDoubleCountNrto16TileNr("31");
-    String x3y2 = CubemapUtils.convertDoubleCountNrto16TileNr("32");
-    String x3y3 = CubemapUtils.convertDoubleCountNrto16TileNr("33");
+    @Test
+    void testConvertDoubleCountNrto16TileNr() {
+        String x0y0 = CubemapUtils.convertDoubleCountNrto16TileNr("00");
+        String x0y1 = CubemapUtils.convertDoubleCountNrto16TileNr("01");
+        String x0y2 = CubemapUtils.convertDoubleCountNrto16TileNr("02");
+        String x0y3 = CubemapUtils.convertDoubleCountNrto16TileNr("03");
+        String x1y0 = CubemapUtils.convertDoubleCountNrto16TileNr("10");
+        String x1y1 = CubemapUtils.convertDoubleCountNrto16TileNr("11");
+        String x1y2 = CubemapUtils.convertDoubleCountNrto16TileNr("12");
+        String x1y3 = CubemapUtils.convertDoubleCountNrto16TileNr("13");
+        String x2y0 = CubemapUtils.convertDoubleCountNrto16TileNr("20");
+        String x2y1 = CubemapUtils.convertDoubleCountNrto16TileNr("21");
+        String x2y2 = CubemapUtils.convertDoubleCountNrto16TileNr("22");
+        String x2y3 = CubemapUtils.convertDoubleCountNrto16TileNr("23");
+        String x3y0 = CubemapUtils.convertDoubleCountNrto16TileNr("30");
+        String x3y1 = CubemapUtils.convertDoubleCountNrto16TileNr("31");
+        String x3y2 = CubemapUtils.convertDoubleCountNrto16TileNr("32");
+        String x3y3 = CubemapUtils.convertDoubleCountNrto16TileNr("33");
 
-    assertEquals(x0y0, "00");
-    assertEquals(x0y1, "01");
-    assertEquals(x0y2, "10");
-    assertEquals(x0y3, "11");
-    assertEquals(x1y0, "02");
-    assertEquals(x1y1, "03");
-    assertEquals(x1y2, "12");
-    assertEquals(x1y3, "13");
-    assertEquals(x2y0, "20");
-    assertEquals(x2y1, "21");
-    assertEquals(x2y2, "30");
-    assertEquals(x2y3, "31");
-    assertEquals(x3y0, "22");
-    assertEquals(x3y1, "23");
-    assertEquals(x3y2, "32");
-    assertEquals(x3y3, "33");
-  }
+        assertEquals(x0y0, "00");
+        assertEquals(x0y1, "01");
+        assertEquals(x0y2, "10");
+        assertEquals(x0y3, "11");
+        assertEquals(x1y0, "02");
+        assertEquals(x1y1, "03");
+        assertEquals(x1y2, "12");
+        assertEquals(x1y3, "13");
+        assertEquals(x2y0, "20");
+        assertEquals(x2y1, "21");
+        assertEquals(x2y2, "30");
+        assertEquals(x2y3, "31");
+        assertEquals(x3y0, "22");
+        assertEquals(x3y1, "23");
+        assertEquals(x3y2, "32");
+        assertEquals(x3y3, "33");
+    }
 }
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/cubemap/TileDownloadingTaskTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/cubemap/TileDownloadingTaskTest.java	(revision 36193)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/cubemap/TileDownloadingTaskTest.java	(revision 36194)
@@ -1,4 +1,4 @@
+// License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.plugins.streetside.cubemap;
-
 
 import static org.junit.jupiter.api.Assertions.assertEquals;
@@ -17,11 +17,11 @@
 class TileDownloadingTaskTest {
 
-  @Test
-  final void testCall() throws InterruptedException {
-    ExecutorService pool = Executors.newFixedThreadPool(1);
-    List<Callable<List<String>>> tasks = new ArrayList<>(1);
-      tasks.add(new TileDownloadingTask("2202112030033001233"));
-    List<Future<List<String>>> results = pool.invokeAll(tasks);
-    assertEquals(results.get(0), "2202112030033001233");
-  }
+    @Test
+    final void testCall() throws InterruptedException {
+        ExecutorService pool = Executors.newFixedThreadPool(1);
+        List<Callable<List<String>>> tasks = new ArrayList<>(1);
+        tasks.add(new TileDownloadingTask("2202112030033001233"));
+        List<Future<List<String>>> results = pool.invokeAll(tasks);
+        assertEquals(results.get(0), "2202112030033001233");
+    }
 }
Index: applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/gui/ImageDisplayTest.java
===================================================================
--- applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/gui/ImageDisplayTest.java	(revision 36193)
+++ applications/editors/josm/plugins/MicrosoftStreetside/test/unit/org/openstreetmap/josm/plugins/streetside/gui/ImageDisplayTest.java	(revision 36194)
@@ -20,66 +20,68 @@
 class ImageDisplayTest {
 
-  private static final BufferedImage DUMMY_IMAGE = new BufferedImage(1, 1, BufferedImage.TYPE_INT_RGB);
+    private static final BufferedImage DUMMY_IMAGE = new BufferedImage(1, 1, BufferedImage.TYPE_INT_RGB);
 
-  @Test
-  void testImagePersistence() {
-    StreetsideImageDisplay display = new StreetsideImageDisplay();
-    display.setImage(DUMMY_IMAGE, null);
-    assertEquals(DUMMY_IMAGE, display.getImage());
-  }
+    @Test
+    void testImagePersistence() {
+        StreetsideImageDisplay display = new StreetsideImageDisplay();
+        display.setImage(DUMMY_IMAGE, null);
+        assertEquals(DUMMY_IMAGE, display.getImage());
+    }
 
-  /**
-   * This test does not check if the scroll events result in the correct changes in the {@link StreetsideImageDisplay},
-   * it only checks if the tested method runs through.
-   */
+    /**
+     * This test does not check if the scroll events result in the correct changes in the {@link StreetsideImageDisplay},
+     * it only checks if the tested method runs through.
+     */
 
-  @Test
-  void testMouseWheelMoved() {
-    if (GraphicsEnvironment.isHeadless()) {
-      return;
+    @Test
+    void testMouseWheelMoved() {
+        if (GraphicsEnvironment.isHeadless()) {
+            return;
+        }
+        StreetsideImageDisplay display = new StreetsideImageDisplay();
+        final MouseWheelEvent dummyScroll = new MouseWheelEvent(display, 42, System.currentTimeMillis(), 0, 0, 0, 0,
+                false, MouseWheelEvent.WHEEL_UNIT_SCROLL, 1, 3);
+        display.getMouseWheelListeners()[0].mouseWheelMoved(dummyScroll);
+
+        display.setImage(DUMMY_IMAGE, null);
+
+        display.getMouseWheelListeners()[0].mouseWheelMoved(dummyScroll);
+
+        // This is necessary to make the size of the component > 0. If you know a more elegant solution, feel free to change it.
+        JFrame frame = new JFrame();
+        frame.setSize(42, 42);
+        frame.getContentPane().add(display);
+        frame.pack();
+
+        display.getMouseWheelListeners()[0].mouseWheelMoved(dummyScroll);
     }
-    StreetsideImageDisplay display = new StreetsideImageDisplay();
-    final MouseWheelEvent dummyScroll = new MouseWheelEvent(display, 42, System.currentTimeMillis(), 0, 0, 0, 0, false, MouseWheelEvent.WHEEL_UNIT_SCROLL, 1, 3);
-    display.getMouseWheelListeners()[0].mouseWheelMoved(dummyScroll);
 
-    display.setImage(DUMMY_IMAGE, null);
+    /**
+     * This test does not check if the scroll events result in the correct changes in the {@link StreetsideImageDisplay},
+     * it only checks if the tested method runs through.
+     */
+    @Test
+    void testMouseClicked() {
+        if (GraphicsEnvironment.isHeadless()) {
+            return;
+        }
+        for (int button = 1; button <= 3; button++) {
+            StreetsideImageDisplay display = new StreetsideImageDisplay();
+            final MouseEvent dummyClick = new MouseEvent(display, 42, System.currentTimeMillis(), 0, 0, 0, 1, false,
+                    button);
+            display.getMouseListeners()[0].mouseClicked(dummyClick);
 
-    display.getMouseWheelListeners()[0].mouseWheelMoved(dummyScroll);
+            display.setImage(DUMMY_IMAGE, null);
 
-    // This is necessary to make the size of the component > 0. If you know a more elegant solution, feel free to change it.
-    JFrame frame = new JFrame();
-    frame.setSize(42, 42);
-    frame.getContentPane().add(display);
-    frame.pack();
+            display.getMouseListeners()[0].mouseClicked(dummyClick);
 
-    display.getMouseWheelListeners()[0].mouseWheelMoved(dummyScroll);
-  }
+            // This is necessary to make the size of the component > 0. If you know a more elegant solution, feel free to change it.
+            JFrame frame = new JFrame();
+            frame.setSize(42, 42);
+            frame.getContentPane().add(display);
+            frame.pack();
 
-  /**
-   * This test does not check if the scroll events result in the correct changes in the {@link StreetsideImageDisplay},
-   * it only checks if the tested method runs through.
-   */
-  @Test
-  void testMouseClicked() {
-    if (GraphicsEnvironment.isHeadless()) {
-      return;
+            display.getMouseListeners()[0].mouseClicked(dummyClick);
+        }
     }
-    for (int button = 1; button <= 3; button++) {
-      StreetsideImageDisplay display = new StreetsideImageDisplay();
-      final MouseEvent dummyClick = new MouseEvent(display, 42, System.currentTimeMillis(), 0, 0, 0, 1, false, button);
-      display.getMouseListeners()[0].mouseClicked(dummyClick);
-
-      display.setImage(DUMMY_IMAGE, null);
-
-      display.getMouseListeners()[0].mouseClicked(dummyClick);
-
-      // This is necessary to make the size of the component > 0. If you know a more elegant solution, feel free to change it.
-      JFrame frame = new JFrame();
-      frame.setSize(42, 42);
-      frame.getContentPane().add(display);
-      frame.pack();
-
-      display.getMouseListeners()[0].mouseClicked(dummyClick);
-    }
-  }
 }
